org.keycloak.models

## Class UserCredentialModel

- java.lang.Object
- - org.keycloak.models.UserCredentialModel

-     public class UserCredentialModel
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLIENT_CERT`
    `protected String` | `device`
    `static String` | `PASSWORD`
    `static String` | `PASSWORD_TOKEN`
    `static String` | `SECRET`
    `static String` | `TOTP`
    `protected String` | `type`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserCredentialModel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserCredentialModel` | `generateSecret()`
    `String` | `getDevice()`
    `String` | `getType()`
    `String` | `getValue()`
    `static UserCredentialModel` | `password(String password)`
    `static UserCredentialModel` | `passwordToken(String passwordToken)`
    `static UserCredentialModel` | `secret(String password)`
    `void` | `setDevice(String device)`
    `void` | `setType(String type)`
    `void` | `setValue(String value)`
    `static UserCredentialModel` | `totp(String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PASSWORD

          public static final String PASSWORD

      See Also:
        Constant Field Values

    - #### PASSWORD_TOKEN

          public static final String PASSWORD_TOKEN

      See Also:
        Constant Field Values

    - #### SECRET

          public static final String SECRET

      See Also:
        Constant Field Values

    - #### TOTP

          public static final String TOTP

      See Also:
        Constant Field Values

    - #### CLIENT_CERT

          public static final String CLIENT_CERT

      See Also:
        Constant Field Values

    - #### type

          protected String type

    - #### value

          protected String value

    - #### device

          protected String device

  - ### Constructor Detail

    - #### UserCredentialModel

          public UserCredentialModel()

  - ### Method Detail

    - #### password

          public static UserCredentialModel password(String password)

    - #### passwordToken

          public static UserCredentialModel passwordToken(String passwordToken)

    - #### secret

          public static UserCredentialModel secret(String password)

    - #### totp

          public static UserCredentialModel totp(String key)

    - #### generateSecret

          public static UserCredentialModel generateSecret()

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### getDevice

          public String getDevice()

    - #### setDevice

          public void setDevice(String device)

Copyright © 2014. All Rights Reserved.